# $Revision: 1.4 $, $Date: 2010/01/20 12:41:00 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
%bcond_without	tests		# don't build and run tests
#
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
%include	/usr/lib/rpm/macros.java
#
%define		apiversion	1.0.1
%define		srcname		stax
Summary:	StAX reference implementation
Name:		java-stax
Version:	1.2.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://dist.codehaus.org/stax/distributions/%{srcname}-src-%{version}.zip
# Source0-md5:	980143f96b3f6ce45d2e4947da21a5e9
Patch0:		%{name}-sourcetarget.patch
URL:		http://stax.codehaus.org/
BuildRequires:	ant >= 1.7.1-4
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	java(Stax) = %{apiversion}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
StAX is a standard XML processing API that allows you to stream XML
data from and to your application. This StAX implementation is the
standard pull parser implementation for JSR-173 specification.

%package javadoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{srcname}.

%description javadoc -l fr.UTF-8
Javadoc pour %{srcname}.

%package examples
Summary:	Examples for %{name}
Summary(pl.UTF-8):	Przykłady dla pakietu %{name}
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Demonstrations and samples for %{srcname}.

%description examples -l pl.UTF-8
Pliki demonstracyjne i przykłady dla pakietu %{srcname}.

%prep
%setup -qc
%patch0 -p1

%build

export LC_ALL=en_US

%ant clean
%if %{without java_sun}
%ant -Dbuild.compiler=gcj dist
%else
%ant dist
%endif
%if %{with javadoc}
%ant javadoc
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

cp -a build/%{srcname}-%{version}-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar
cp -a build/%{srcname}-api-%{apiversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-api-%{apiversion}.jar
ln -s %{srcname}-api-%{apiversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-api.jar

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a src/samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-stax.spec,v $
Revision 1.4  2010/01/20 12:41:00  pawelz
- rel 1

Revision 1.3  2010/01/20 12:36:39  pawelz
- use gcj, not ecj when being built without java_sun. No idea why it fails with ecj.
- don't build javadoc if without_javadoc

Revision 1.2  2010/01/20 12:08:55  pawelz
- unify java spec (BRs, drop ugly hacks, that are no longer needed)

Revision 1.1  2009/02/06 15:58:13  pawelz
- initial PLD release

